#define NAME		"testXpkPwd"
#define DISTRIBUTION	"(Freeware) "
#define REVISION	"1"

/* Programmheader

	Name:		testXpkPwd
	Author:		SDI
	Distribution:	Freeware
	Description:	test XpkPassRequest
	Compileropts:	-
	Linkeropts:	-l xpkmaster

 1.0   29.12.96 : first Version
 1.1   28.03.97 : some new data output
*/

#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/xpkmaster.h>
#include "SDI_defines.h"

struct Library *XpkBase = 0;

void main(void)
{
  ULONG err;
  UBYTE buf[200];
  UWORD key16;
  ULONG key32;

  if(!(XpkBase = OpenLibrary(XPKNAME, 4)))
    return;

  if(!(err = XpkPassRequestTags(XPK_TimeOut, 20, XPK_PasswordBuf, buf, XPK_PassBufSize, 200, TAG_DONE)))
  {
    STRPTR a = buf;  
    VPrintf("Password = %s\n", &a);
  }
  else
    XpkPrintFault(err, "No Password");

  if(!(err = XpkPassRequestTags(XPK_TimeOut, 40, XPK_Key16BitPtr, &key16, TAG_DONE)))
    VPrintf("16 bit key = %X\n", &key16);
  else
    XpkPrintFault(err, "No 16 bit key");

  if(!XpkPassRequestTags(XPK_Key32BitPtr, &key32, TAG_DONE))
    VPrintf("32 bit key = %lX\n", &key32);
  else
    XpkPrintFault(err, "No 32 bit key");

  CloseLibrary(XpkBase);
}

